package com.nova.view.result;

import java.io.Serializable;

/**
 * @Classname HttpResult
 * @Description TODO
 * @Date 04/09/2020 11:20
 * @Created by mac
 */
public class HttpResult implements Serializable {

    private int code = 1;
    //private static final int FAIL_CODE = 500;
    private String msg;
    private Object data;



    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    /**
     * success
     *
     * @return
     */
    public static HttpResult success() {
        HttpResult httpResult = new HttpResult();
        httpResult.setCode(httpResult.code);
        httpResult.setMsg("Success");
        return httpResult;
    }

    /**
     * success
     *
     * @param msg user-define msg
     * @return
     */
    public static HttpResult success(String msg) {
        HttpResult httpResult = new HttpResult();
        httpResult.setMsg(msg);
        httpResult.setCode(httpResult.code);
        return httpResult;
    }

    /**
     * success
     *
     * @param data
     * @return
     */
    public static HttpResult success(Object data) {
        HttpResult httpResult = new HttpResult();
        httpResult.setCode(httpResult.code);
        httpResult.setMsg("SUCCESS");
        httpResult.setData(data);
        return httpResult;
    }

    /**
     * success
     *
     * @param msg
     * @param data
     * @return
     */
    public static HttpResult success(String msg, Object data) {
        HttpResult httpResult = new HttpResult();
        httpResult.setCode(httpResult.code);
        httpResult.setMsg(msg);
        httpResult.setData(data);
        return httpResult;
    }

    /**
     * failed
     *
     * @return
     */
    public static HttpResult failed() {
        HttpResult httpResult = new HttpResult();
        httpResult.setCode(407);
        httpResult.setMsg("something is wrong");
        return httpResult;
    }
    /**
     * failed
     *
     * @return
     */
    public static HttpResult failed(int code) {
        HttpResult httpResult = new HttpResult();
        httpResult.setCode(code);
        return httpResult;
    }

    /**
     * failed
     *
     * @param msg user-define msg
     * @return
     */
    public static HttpResult failed(String msg) {
        HttpResult httpResult = new HttpResult();
        httpResult.setCode(407);
        httpResult.setMsg(msg);
        return httpResult;
    }

}
